#!/usr/bin/perl
use strict;
use warnings;
use v5.10;

use Parse::RPM::Spec;
use HTTP::Tiny;

my $spec = Parse::RPM::Spec->new( { file => @ARGV } );
print $spec->name . "\n";
my $url = $spec->url();
say $url;
my $response = HTTP::Tiny->new( timeout => 10 )->get($url);
if ( $response->{status} == 200 ) {
    if ( $response->{url} ne $url ) {
        say "302 Redirect. Redirect to";
        say $response->{url};
    }
}
else {
    say "Cannot get! Status " . $response->{status};
}
